Name:           procinfo-ng
Version:        2.0.304
Release:        7%{?dist}
Summary:        Console-based system monitoring utility

Group:          Applications/System
License:        GPLv2 and LGPLv2
URL:            http://sourceforge.net/projects/procinfo-ng/
Source0:        http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:         %{name}-man.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel
BuildRequires:  libstdc++-devel


%description
Procinfo-NG is a complete rewrite of the old system monitoring application
procinfo.  The goal is to make more readable (and reusable) code and to 
restore broken functionality.


%prep
%setup -q
%patch0 -p1 -b .man


%build
%configure --enable-maintainer-mode
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
mv %{buildroot}%{_bindir}/procinfo %{buildroot}%{_bindir}/%{name}
mv %{buildroot}%{_mandir}/man8/procinfo.8 %{buildroot}%{_mandir}/man8/%{name}.8


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc GPL-2.txt LGPL-2.1.txt LICENSE.txt
%{_mandir}/man8/%{name}.8.gz
%{_bindir}/%{name}


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.304-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.304-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.304-5
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.304-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.304-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 11 2009 Fabian Affolter <fabian@bernewireless.net> - 2.0.304-2
- Fixed license tag, it's no LGPLv2 only

* Tue Sep 29 2009 Fabian Affolter <fabian@bernewireless.net> - 2.0.304-1
- Added LICENSE.txt
- Updated to new upstream version 2.0.304

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.217-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.217-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 11 2009 Fabian Affolter <fabian@bernewireless.net> - 2.0.217-3
- Added man patch

* Sat Dec 27 2008 Fabian Affolter <fabian@bernewireless.net> - 2.0.217-2
- Added compiler flags
- Renamed the man page
- Changed summary

* Wed Nov 12 2008 Fabian Affolter <fabian@bernewireless.net> - 2.0.217-1
- Initial spec for Fedora
